Installation

Dependencies

The only dependency is pySerial (version 3.0+):

python3 -m pip install --upgrade --user pyserial

For Python < 3.4, you will need to install Enum too:

python3 -m pip install --upgrade --user enum34

From sources

Alternatively, you can get a copy of the module from GitHub.

  1. Clone the repository:
git clone https://github.com/BoboTiG/thermalprinter.git
cd thermalprinter
  1. Install them module:
python3 setup.py install --user